#ifndef PIXELTYPE_H
#define PIXELTYPE_H

enum PixelType {
    BEDROCK, GRASS, TREE, BERRIES, ROCK, IRON_ORE, // nature
    FOOD, WOOD, STONE, IRON, SWORD, // resources
    DUDE, DEAD_DUDE, // humans
    SPAWN, WALL, ROAD, MARK, LIBRARY, // buildings
    EMPTY = -1
};

//we might have to place these function elsewhere ?
bool isWalkable(PixelType target);
bool isDestroyable(PixelType target);

#endif // PIXELTYPE_H
