#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class Simulation;

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private:
    Ui::MainWindow *ui;
    Simulation* p_simu;
    int m_date;
    int m_simSpeed;

private slots:
    void openSimuDialog();
    void updateSimu();
};

#endif // MAINWINDOW_H
